Arbor 3: FSM & BT Graph Editor 3.7.8

Public Member Functions | Properties | List of all members
ConstraintableEnumAttribute Class Reference

Attribute that specifies that it can be constrained to a derived class of ParameterReference More...

Inheritance diagram for ConstraintableEnumAttribute:

## Public Member Functions
| ConstraintableEnumAttribute ()
| Specify that it can be constrained More...
| ConstraintableEnumAttribute (bool isList)
| Specify that it can be constrained More...
bool | IsConstraintSatisfied (System.Type valueType)
| Determine whether the constraint is satisfied More...
override bool | IsConstraintSatisfied (Parameter parameter)
| Determine whether the constraint is satisfied More...

## Properties
bool | isList`[get]`
| Flag that constrains to IList<> only. More...

## Detailed Description

Attribute that specifies that it can be constrained to a derived class of ParameterReference

## Constructor & Destructor Documentation

## ◆ ConstraintableEnumAttribute() [1/2]

ConstraintableEnumAttribute | ( |  | ) |

Specify that it can be constrained

## ◆ ConstraintableEnumAttribute() [2/2]

ConstraintableEnumAttribute | ( | bool | isList | ) |

Specify that it can be constrained

Parameters

  isList | Whether the subject of type constraint is IList<> type.

## Member Function Documentation

## ◆ IsConstraintSatisfied() [1/2]

override bool IsConstraintSatisfied | ( | Parameter | parameter | ) |
| virtual

Determine whether the constraint is satisfied

Parameters

  parameter | Determining parameter

Returns
  Returns true if the constraint is satisfied.

Implements ParameterConstraintAttributeBase.

## ◆ IsConstraintSatisfied() [2/2]

bool IsConstraintSatisfied | ( | System.Type | valueType | ) |

Determine whether the constraint is satisfied

Parameters

  valueType | Determining type

Returns
  Returns true if the constraint is satisfied.

Implements IConstraintableAttribute.

## Property Documentation

## ◆ isList

bool isList
| get

Flag that constrains to IList<> only.